Subject: bug#41381: 28.0.50; Can't compile file containing a local pcase macro

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 31 Jul 2021 18:34:24 +0200

Philipp Stephani <[email-masked]> writes:

> $ cat test.el
> ;;; -*- lexical-binding: t; -*-
> (pcase-defmacro test () '_)
> (defun test () (pcase nil ((test))))
>
> $ emacs -Q -batch -l bytecomp -f batch-byte-compile test.el
>
> In toplevel form:
> test.el:3:1: Error: Symbol’s function definition is void: test--pcase-macroexpander

I'm able to reproduce this in Emacs 27.1, but not on the current trunk,
so I'm going to go ahead and guess that this has been fixed now, and I'm
closing this bug report.  If there's still an issue here, please respond
to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no